GET/projects/api/v3/reporting/custom.json

List custom reports.

Returns the custom reports available for the current user. Supports pagination, filtering, sorting and side-loading of related entities.

Query Params

  • Name
    searchTerm
    Type
    string
    Description

    filter by report title or creator

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    orderBy
    Type
    string
    Description

    order by

    Default
    name
    Allowed values
    • name
    • createdby
    • datecreated
    • type
    • dateupdated
    • starred
    • recentlyaccessed
  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    onlyStarred
    Type
    boolean
    Description

    filter by starred

  • Name
    ownerIds
    Type
    array[integer]
    Description

    filter by owner ids

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • teams
    • users
    • projects
    • companies
    • projectCategories
    • milestones
    • tags
    • tasklists
    • customfields
  • Name
    ids
    Type
    array[integer]
    Description

    filter by custom report ids

    Format
    Comma separated values
  • Name
    fields[users]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • firstName
    • lastName
    • title
    • email
    • companyId
    • company
    • isAdmin
    • isClientUser
    • isServiceAccount
    • type
    • deleted
    • avatarUrl
    • lengthOfDay
    • workingHoursId
    • workingHour
    • userRate
    • userCost
    • canAddProjects
  • Name
    fields[teams]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • teamLogo
    • teamLogoIcon
    • teamLogoColor
  • Name
    fields[tasklists]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • projectId
    • milestoneId
  • Name
    fields[tags]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • color
    • count
  • Name
    fields[projects]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • type
    • status
    • company
    • companyId
    • categoryId
    • startPage
    • logoIcon
    • logoColor
    • updatedAt
    • isStarred
    • allowNotifyAnyone
    • notifyTaskAssignee
    • isBillable
    • timelogRequiresTask
  • Name
    fields[projectcategories]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • color
    • count
    • parent
    • parentId
  • Name
    fields[milestones]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • description
    • deadline
    • completed
    • projectId
    • createdOn
    • lastChangedOn
    • creatorUserId
    • reminder
    • private
    • lockdownId
    • status
    • completedOn
    • completerId
    • percentageComplete
  • Name
    fields[customReports]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • baseType
    • status
    • name
    • startAt
    • lastGeneratedAt
    • endAt
    • datePeriod
    • summary
    • ownedByUser
    • createdAt
    • createdByUser
    • updatedAt
    • updatedByUser
    • deletedAt
    • deletedByUser
    • grantAccessTo
    • columns
    • customfields
    • filters
    • sortByPosition
    • sortOrder
  • Name
    fields[companies]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • logoUploadedToServer
    • logoImage
  • Name
    creatorIds
    Type
    array[integer]
    Description

    filter by creator ids

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    CustomReportsResponse contains information about a group of custom reports.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Type
    object
    Schema
    Description
    404 Not Found
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

CustomReportsResponse
{  "customReports": [    {      "advancedFilter": [        "Unknown Type: any"      ],      "baseType": "string",      "charts": [        {          "chartId": "string",          "createdAt": "string",          "createdByUser": 0,          "name": "string",          "order": 0,          "reportId": 0,          "series": [            {              "chartId": "string",